Subject: [secdir] Secdir review of draft-ietf-taps-transports-11

From: "Paul Hoffman" <[email-masked]>
Date: Sat, 10 Sep 2016 16:47:03 -0700

Greetings. draft-ietf-taps-transports, "Services provided by IETF 
transport protocols and congestion control mechanisms", is an 
informational overview of a large number of transport protocols. It does 
not change any of the protocols, just compares them.

The Security Considerations section says "This document does not specify 
any new features or mechanisms for providing these features", which is 
appropriate and correct. In addition, Section 5, which collects some of 
the comparisons of features, lists security features and says which of 
the transport protocols support them. In that list, it says that replay 
protection is offered by FLUTE/ALC and DTLS, but does not list TLS. That 
seems like an oversight because DTLS and TLS offer similar replay 
semantics. (The rest of the list seems sensible.)

--Paul Hoffman